document.addEventListener('DOMContentLoaded', () => {
  // Parallax effect
  window.addEventListener('scroll', () => {
    const scrolled = window.pageYOffset;
    document.querySelector('.nebula-canvas').style.transform = 
      `translate(-25%, -25%) rotate(${scrolled * 0.2}deg)`;
  });

  // Generate shooting stars
  setInterval(() => {
    const star = document.createElement('div');
    star.className = 'shooting-star';
    star.style.top = `${Math.random() * 100}%`;
    star.style.left = `${Math.random() * 100}%`;
    star.style.animationDuration = `${Math.random() * 2 + 1}s`;
    document.querySelector('.star-field').appendChild(star);
    
    setTimeout(() => star.remove(), 3000);
  }, 5000);

  // Smooth scroll
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function(e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });
});
